CGAL 6.1.1 - 2D Apollonius Graphs (Delaunay Graphs of Disks)

Loading...
Searching...
No Matches
List of all members | Related Functions
CGAL::Apollonius_site_2< K > Class Template Reference
Reference Manual

`#include <CGAL/Apollonius_site_2.h>`

## Definition

template<typename K>
class CGAL::Apollonius_site_2< K >

The class `Apollonius_site_2` is a model for the concept `ApolloniusSite_2`.

It is parametrized by a template parameter `K` which must be a model of the `Kernel` concept.

Is model of
  `ApolloniusSite_2`

Types

The class `Apollonius_site_2` does not introduce any types in addition to the concept `ApolloniusSite_2`.

I/O

The I/O operators are defined for `std::iostream`.

The information output in the `std::iostream` is: the point of the Apollonius site and its weight.

See also
  `CGAL::Apollonius_graph_traits_2<K,Method_tag>`
  `CGAL::Apollonius_graph_filtered_traits_2<CK,CM,EK,EM,FK,FM>`

## Related Functions
(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &os, const Apollonius_site_2< K > &s) const
| Inserts the Apollonius site `s` into the stream `os`.
std::istream & | operator>> (std::istream &is, const Apollonius_site_2< K > &s)
| Reads an Apollonius site from the stream `is` and assigns it to `s`.

## Creation
| Apollonius_site_2 (Point_2 p=Point_2(), Weight w=Weight(0))
| Apollonius_site_2 (const Apollonius_site_2< K > &other)
| Copy constructor.

## Friends And Related Function Documentation

## ◆ operator<<()

template<typename K >

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Apollonius_site_2< K > & | s
| ) |  | const
| related

Inserts the Apollonius site `s` into the stream `os`.

Precondition
  The insert operator must be defined for `Point_2` and `Weight`.

## ◆ operator>>()

template<typename K >

std::istream & operator>> | ( | std::istream & | is,
|  | const Apollonius_site_2< K > & | s
| ) |  |
| related

Reads an Apollonius site from the stream `is` and assigns it to `s`.

Precondition
  The extract operator must be defined for `Point_2` and `Weight`.